- name: uninstalling
  community.kubernetes.helm:
    release_name: "argo-cd"
    release_state: absent
    release_namespace: "argocd"
    purge: True
    wait: True
    wait_timeout: 10m0s

# Remove CRDs
- name: deleting pvcs
  community.kubernetes.k8s:
    name: "{{ item }}"
    api_version: v1
    kind: CustomResourceDefinition
    namespace: "{{ cloudstack['plugins'][plugin]['namespace'] }}"
    state: absent
  with_items:
    - Application
    - AppProject

# Remove Status Secret
- name: deleting secrets
  community.kubernetes.k8s:
    name: "{{ item }}"
    api_version: v1
    kind: Secret
    namespace: "acs"
    state: absent
  with_items:
    - argocd-admin-credentials
    - argocd-status

- name: deleting namespace
  community.kubernetes.k8s:
    name: "argocd"
    api_version: v1
    kind: Namespace
    state: absent
